package ru.malykhin.tm.endpoint;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.Action;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;

/**
 * This class was generated by Apache CXF 3.4.0
 * 2020-09-24T09:31:45.422+03:00
 * Generated source version: 3.4.0
 *
 */
@WebService(targetNamespace = "http://endpoint.tm.malykhin.ru/", name = "TaskEndpoint")
@XmlSeeAlso({ObjectFactory.class})
public interface TaskEndpoint {

    @WebMethod
    @Action(input = "http://endpoint.tm.malykhin.ru/TaskEndpoint/findByIndexRequest", output = "http://endpoint.tm.malykhin.ru/TaskEndpoint/findByIndexResponse")
    @RequestWrapper(localName = "findByIndex", targetNamespace = "http://endpoint.tm.malykhin.ru/", className = "ru.malykhin.tm.endpoint.FindByIndex")
    @ResponseWrapper(localName = "findByIndexResponse", targetNamespace = "http://endpoint.tm.malykhin.ru/", className = "ru.malykhin.tm.endpoint.FindByIndexResponse")
    @WebResult(name = "return", targetNamespace = "")
    public ru.malykhin.tm.endpoint.Task findByIndex(

        @WebParam(name = "arg0", targetNamespace = "")
        int arg0
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.malykhin.ru/TaskEndpoint/loadAllRequest", output = "http://endpoint.tm.malykhin.ru/TaskEndpoint/loadAllResponse")
    @RequestWrapper(localName = "loadAll", targetNamespace = "http://endpoint.tm.malykhin.ru/", className = "ru.malykhin.tm.endpoint.LoadAll")
    @ResponseWrapper(localName = "loadAllResponse", targetNamespace = "http://endpoint.tm.malykhin.ru/", className = "ru.malykhin.tm.endpoint.LoadAllResponse")
    public void loadAll()
;

    @WebMethod
    @Action(input = "http://endpoint.tm.malykhin.ru/TaskEndpoint/findAllRequest", output = "http://endpoint.tm.malykhin.ru/TaskEndpoint/findAllResponse")
    @RequestWrapper(localName = "findAll", targetNamespace = "http://endpoint.tm.malykhin.ru/", className = "ru.malykhin.tm.endpoint.FindAll")
    @ResponseWrapper(localName = "findAllResponse", targetNamespace = "http://endpoint.tm.malykhin.ru/", className = "ru.malykhin.tm.endpoint.FindAllResponse")
    @WebResult(name = "return", targetNamespace = "")
    public java.util.List<ru.malykhin.tm.endpoint.Task> findAll();

    @WebMethod
    @Action(input = "http://endpoint.tm.malykhin.ru/TaskEndpoint/createTaskRequest", output = "http://endpoint.tm.malykhin.ru/TaskEndpoint/createTaskResponse")
    @RequestWrapper(localName = "createTask", targetNamespace = "http://endpoint.tm.malykhin.ru/", className = "ru.malykhin.tm.endpoint.CreateTask")
    @ResponseWrapper(localName = "createTaskResponse", targetNamespace = "http://endpoint.tm.malykhin.ru/", className = "ru.malykhin.tm.endpoint.CreateTaskResponse")
    @WebResult(name = "return", targetNamespace = "")
    public ru.malykhin.tm.endpoint.Task createTask(

        @WebParam(name = "arg0", targetNamespace = "")
        java.lang.String arg0
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.malykhin.ru/TaskEndpoint/saveAllRequest", output = "http://endpoint.tm.malykhin.ru/TaskEndpoint/saveAllResponse")
    @RequestWrapper(localName = "saveAll", targetNamespace = "http://endpoint.tm.malykhin.ru/", className = "ru.malykhin.tm.endpoint.SaveAll")
    @ResponseWrapper(localName = "saveAllResponse", targetNamespace = "http://endpoint.tm.malykhin.ru/", className = "ru.malykhin.tm.endpoint.SaveAllResponse")
    public void saveAll()
;
}
